/**
 * @file
 * consent-support-cookiepro.js
 */

(function (Drupal) {
  'use strict';

  Drupal.consent_support = Drupal.consent_support || {};

  /**
   * Callback functions.
   *
   * @type {{
   *  removeNoConsentMessages: Drupal.cookiepro.removeNoConsentMessages,
   *  showInfoDisplay: Drupal.cookiepro.showInfoDisplay
   *  }}
   */
  Drupal.consent_support.cookiepro = {

    removeNoConsentMessages: function (category_id) {
      document.querySelectorAll('.hide-for-optanon-category-' + category_id).forEach(function (value) {
        value.remove();
      });
    },

    // We need this for no-consent page in iframe.
    showInfoDisplay: function () {
      OneTrust.ToggleInfoDisplay();
    },
  };

})(Drupal);
